Run of lintian-fixes for modello-maven-plugin

Try this locally (using the lintian-brush package):

debcheckout modello-maven-plugin
cd modello-maven-plugin
lintian-brush --exclude=upstream-metadata-file

Merge these changes:

Summary

Diff

Unable to retrieve diff; error 500

Debdiff

Error retrieving debdiff: Unable to get debdiff: 500 Internal Server Error

500 Internal Server Error

Server got itself in trouble

Publish History

  • 2021-05-08T09:20: Failed to push: hoster-no-login (Hoster salsa.debian.org supported but not login known.)
  • 2021-05-08T06:54: Failed to push: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/java-team/modello-maven-plugin.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/java-team/modello-maven-plugin.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-08T04:41: Failed to push: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/java-team/modello-maven-plugin.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/java-team/modello-maven-plugin.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-08T02:20: Failed to push: hoster-no-login (Hoster salsa.debian.org supported but not login known.)
  • 2021-05-07T23:52: Failed to push: publisher-invalid-response (
    Traceback (most recent call last):
      File "/code/silver-platter/silver_platter/utils.py", line 263, in open_branch
        dir = ControlDir.open_from_transport(transport, probers)
      File "/code/breezy/breezy/controldir.py", line 754, in open_from_transport
        transport, format = _mod_transport.do_catching_redirections(
      File "/code/breezy/breezy/transport/__init__.py", line 1613, in do_catching_redirections
        return action(transport)
      File "/code/breezy/breezy/controldir.py", line 742, in find_format
        return transport, ControlDirFormat.find_format(transport,
      File "/code/breezy/breezy/controldir.py", line 1165, in find_format
        return prober.probe_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 211, in probe_transport
        return self.probe_http_transport(transport)
      File "/code/breezy/breezy/git/__init__.py", line 181, in probe_http_transport
        resp = transport.request('GET', url, headers=headers)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1850, in request
        response = self._opener.open(request)
      File "/usr/lib/python3.9/urllib/request.py", line 523, in open
        response = meth(req, response)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1717, in http_response
        response = self.parent.error('http', request, response,
      File "/usr/lib/python3.9/urllib/request.py", line 561, in error
        return self._call_chain(*args)
      File "/usr/lib/python3.9/urllib/request.py", line 494, in _call_chain
        result = func(*args)
      File "/code/breezy/breezy/transport/http/urllib.py", line 1733, in http_error_default
        raise errors.UnexpectedHttpStatus(
    breezy.errors.UnexpectedHttpStatus: Unexpected HTTP status 429 for https://salsa.debian.org/java-team/modello-maven-plugin.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
        return _run_code(code, main_globals, None,
      File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
        exec(code, run_globals)
      File "/code/janitor/publish_one.py", line 617, in <module>
        publish_result, branch_name = publish_one(
      File "/code/janitor/publish_one.py", line 454, in publish_one
        main_branch = open_branch(
      File "/code/silver-platter/silver_platter/utils.py", line 266, in open_branch
        converted = _convert_exception(url, e)
      File "/code/silver-platter/silver_platter/utils.py", line 231, in _convert_exception
        raise BranchRateLimited(url, str(e))
    silver_platter.utils.BranchRateLimited: Unexpected HTTP status 429 for https://salsa.debian.org/java-team/modello-maven-plugin.git/info/refs?service=git-upload-pack: Unable to handle http code: Too Many Requests
    
    )
  • 2021-05-07T21:27: Failed to push: hoster-no-login (Hoster salsa.debian.org supported but not login known.)

Full worker log Full build log